Generation Framework

## org.eclipse.gmf.gmfgraph.impl
Class GridLayoutDataImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.gmfgraph.impl.GridLayoutDataImpl

All Implemented Interfaces:
  EObject, GridLayoutData, InternalEObject, LayoutData, Notifier

public class GridLayoutDataImpl
extends EObjectImpl
implements GridLayoutData

An implementation of the model object 'Grid Layout Data'.

The following features are implemented:

- `Owner`
- `Grab Excess Horizontal Space`
- `Grab Excess Vertical Space`
- `Vertical Alignment`
- `Horizontal Alignment`
- `Vertical Span`
- `Horizontal Span`
- `Horizontal Indent`
- `Size Hint`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `GRAB_EXCESS_HORIZONTAL_SPACE_EDEFAULT` The default value of the '`Grab Excess Horizontal Space`' attribute
`protected static boolean` `GRAB_EXCESS_VERTICAL_SPACE_EDEFAULT` The default value of the '`Grab Excess Vertical Space`' attribute
`protected boolean` `grabExcessHorizontalSpace` The cached value of the '`Grab Excess Horizontal Space`' attribute
`protected boolean` `grabExcessVerticalSpace` The cached value of the '`Grab Excess Vertical Space`' attribute
`protected static Alignment` `HORIZONTAL_ALIGNMENT_EDEFAULT` The default value of the '`Horizontal Alignment`' attribute
`protected static int` `HORIZONTAL_INDENT_EDEFAULT` The default value of the '`Horizontal Indent`' attribute
`protected static int` `HORIZONTAL_SPAN_EDEFAULT` The default value of the '`Horizontal Span`' attribute
`protected Alignment` `horizontalAlignment` The cached value of the '`Horizontal Alignment`' attribute
`protected int` `horizontalIndent` The cached value of the '`Horizontal Indent`' attribute
`protected int` `horizontalSpan` The cached value of the '`Horizontal Span`' attribute
`protected Dimension` `sizeHint` The cached value of the '`Size Hint`' containment reference
`protected static Alignment` `VERTICAL_ALIGNMENT_EDEFAULT` The default value of the '`Vertical Alignment`' attribute
`protected static int` `VERTICAL_SPAN_EDEFAULT` The default value of the '`Vertical Span`' attribute
`protected Alignment` `verticalAlignment` The cached value of the '`Vertical Alignment`' attribute
`protected int` `verticalSpan` The cached value of the '`Vertical Span`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GridLayoutDataImpl()`

Method Summary
`NotificationChain` `basicSetOwner(Layoutable newOwner, NotificationChain msgs)`
`NotificationChain` `basicSetSizeHint(Dimension newSizeHint, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Alignment` `getHorizontalAlignment()`
`int` `getHorizontalIndent()`
`int` `getHorizontalSpan()`
`Layoutable` `getOwner()`
`Dimension` `getSizeHint()`
`Alignment` `getVerticalAlignment()`
`int` `getVerticalSpan()`
`boolean` `isGrabExcessHorizontalSpace()`
`boolean` `isGrabExcessVerticalSpace()`
`void` `setGrabExcessHorizontalSpace(boolean newGrabExcessHorizontalSpace)`
`void` `setGrabExcessVerticalSpace(boolean newGrabExcessVerticalSpace)`
`void` `setHorizontalAlignment(Alignment newHorizontalAlignment)`
`void` `setHorizontalIndent(int newHorizontalIndent)`
`void` `setHorizontalSpan(int newHorizontalSpan)`
`void` `setOwner(Layoutable newOwner)`
`void` `setSizeHint(Dimension newSizeHint)`
`void` `setVerticalAlignment(Alignment newVerticalAlignment)`
`void` `setVerticalSpan(int newVerticalSpan)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### GRAB_EXCESS_HORIZONTAL_SPACE_EDEFAULT

    protected static final boolean GRAB_EXCESS_HORIZONTAL_SPACE_EDEFAULT

  The default value of the '`Grab Excess Horizontal Space`' attribute.

  See Also:
    `GridLayoutDataImpl.isGrabExcessHorizontalSpace()`, Constant Field Values
  ** Generated **
  Ordered:

### grabExcessHorizontalSpace

    protected boolean grabExcessHorizontalSpace

  The cached value of the '`Grab Excess Horizontal Space`' attribute.

  See Also:
    `GridLayoutDataImpl.isGrabExcessHorizontalSpace()`
  ** Generated **
  Ordered:

### GRAB_EXCESS_VERTICAL_SPACE_EDEFAULT

    protected static final boolean GRAB_EXCESS_VERTICAL_SPACE_EDEFAULT

  The default value of the '`Grab Excess Vertical Space`' attribute.

  See Also:
    `GridLayoutDataImpl.isGrabExcessVerticalSpace()`, Constant Field Values
  ** Generated **
  Ordered:

### grabExcessVerticalSpace

    protected boolean grabExcessVerticalSpace

  The cached value of the '`Grab Excess Vertical Space`' attribute.

  See Also:
    `GridLayoutDataImpl.isGrabExcessVerticalSpace()`
  ** Generated **
  Ordered:

### VERTICAL_ALIGNMENT_EDEFAULT

    protected static final Alignment VERTICAL_ALIGNMENT_EDEFAULT

  The default value of the '`Vertical Alignment`' attribute.

  See Also:
    `GridLayoutDataImpl.getVerticalAlignment()`
  ** Generated **
  Ordered:

### verticalAlignment

    protected Alignment verticalAlignment

  The cached value of the '`Vertical Alignment`' attribute.

  See Also:
    `GridLayoutDataImpl.getVerticalAlignment()`
  ** Generated **
  Ordered:

### HORIZONTAL_ALIGNMENT_EDEFAULT

    protected static final Alignment HORIZONTAL_ALIGNMENT_EDEFAULT

  The default value of the '`Horizontal Alignment`' attribute.

  See Also:
    `GridLayoutDataImpl.getHorizontalAlignment()`
  ** Generated **
  Ordered:

### horizontalAlignment

    protected Alignment horizontalAlignment

  The cached value of the '`Horizontal Alignment`' attribute.

  See Also:
    `GridLayoutDataImpl.getHorizontalAlignment()`
  ** Generated **
  Ordered:

### VERTICAL_SPAN_EDEFAULT

    protected static final int VERTICAL_SPAN_EDEFAULT

  The default value of the '`Vertical Span`' attribute.

  See Also:
    `GridLayoutDataImpl.getVerticalSpan()`, Constant Field Values
  ** Generated **
  Ordered:

### verticalSpan

    protected int verticalSpan

  The cached value of the '`Vertical Span`' attribute.

  See Also:
    `GridLayoutDataImpl.getVerticalSpan()`
  ** Generated **
  Ordered:

### HORIZONTAL_SPAN_EDEFAULT

    protected static final int HORIZONTAL_SPAN_EDEFAULT

  The default value of the '`Horizontal Span`' attribute.

  See Also:
    `GridLayoutDataImpl.getHorizontalSpan()`, Constant Field Values
  ** Generated **
  Ordered:

### horizontalSpan

    protected int horizontalSpan

  The cached value of the '`Horizontal Span`' attribute.

  See Also:
    `GridLayoutDataImpl.getHorizontalSpan()`
  ** Generated **
  Ordered:

### HORIZONTAL_INDENT_EDEFAULT

    protected static final int HORIZONTAL_INDENT_EDEFAULT

  The default value of the '`Horizontal Indent`' attribute.

  See Also:
    `GridLayoutDataImpl.getHorizontalIndent()`, Constant Field Values
  ** Generated **
  Ordered:

### horizontalIndent

    protected int horizontalIndent

  The cached value of the '`Horizontal Indent`' attribute.

  See Also:
    `GridLayoutDataImpl.getHorizontalIndent()`
  ** Generated **
  Ordered:

### sizeHint

    protected Dimension sizeHint

  The cached value of the '`Size Hint`' containment reference.

  See Also:
    `GridLayoutDataImpl.getSizeHint()`
  ** Generated **
  Ordered:

Constructor Detail

### GridLayoutDataImpl

    protected GridLayoutDataImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### isGrabExcessHorizontalSpace

    public boolean isGrabExcessHorizontalSpace()

  Specified by:
    `isGrabExcessHorizontalSpace` in interface `GridLayoutData`
  Returns:
    the value of the 'Grab Excess Horizontal Space' attribute.
  See Also:
    `GridLayoutData.setGrabExcessHorizontalSpace(boolean)`, `GMFGraphPackage.getGridLayoutData_GrabExcessHorizontalSpace()`
  ** Generated **

### setGrabExcessHorizontalSpace

    public void setGrabExcessHorizontalSpace(boolean newGrabExcessHorizontalSpace)

  Specified by:
    `setGrabExcessHorizontalSpace` in interface `GridLayoutData`
  Parameters:
    `newGrabExcessHorizontalSpace` - the new value of the 'Grab Excess Horizontal Space' attribute.
  See Also:
    `GridLayoutData.isGrabExcessHorizontalSpace()`
  ** Generated **

### isGrabExcessVerticalSpace

    public boolean isGrabExcessVerticalSpace()

  Specified by:
    `isGrabExcessVerticalSpace` in interface `GridLayoutData`
  Returns:
    the value of the 'Grab Excess Vertical Space' attribute.
  See Also:
    `GridLayoutData.setGrabExcessVerticalSpace(boolean)`, `GMFGraphPackage.getGridLayoutData_GrabExcessVerticalSpace()`
  ** Generated **

### setGrabExcessVerticalSpace

    public void setGrabExcessVerticalSpace(boolean newGrabExcessVerticalSpace)

  Specified by:
    `setGrabExcessVerticalSpace` in interface `GridLayoutData`
  Parameters:
    `newGrabExcessVerticalSpace` - the new value of the 'Grab Excess Vertical Space' attribute.
  See Also:
    `GridLayoutData.isGrabExcessVerticalSpace()`
  ** Generated **

### getVerticalAlignment

    public Alignment getVerticalAlignment()

  Specified by:
    `getVerticalAlignment` in interface `GridLayoutData`
  Returns:
    the value of the 'Vertical Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.setVerticalAlignment(Alignment)`, `GMFGraphPackage.getGridLayoutData_VerticalAlignment()`
  ** Generated **

### setVerticalAlignment

    public void setVerticalAlignment(Alignment newVerticalAlignment)

  Specified by:
    `setVerticalAlignment` in interface `GridLayoutData`
  Parameters:
    `newVerticalAlignment` - the new value of the 'Vertical Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.getVerticalAlignment()`
  ** Generated **

### getHorizontalAlignment

    public Alignment getHorizontalAlignment()

  Specified by:
    `getHorizontalAlignment` in interface `GridLayoutData`
  Returns:
    the value of the 'Horizontal Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.setHorizontalAlignment(Alignment)`, `GMFGraphPackage.getGridLayoutData_HorizontalAlignment()`
  ** Generated **

### setHorizontalAlignment

    public void setHorizontalAlignment(Alignment newHorizontalAlignment)

  Specified by:
    `setHorizontalAlignment` in interface `GridLayoutData`
  Parameters:
    `newHorizontalAlignment` - the new value of the 'Horizontal Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.getHorizontalAlignment()`
  ** Generated **

### getVerticalSpan

    public int getVerticalSpan()

  Specified by:
    `getVerticalSpan` in interface `GridLayoutData`
  Returns:
    the value of the 'Vertical Span' attribute.
  See Also:
    `GridLayoutData.setVerticalSpan(int)`, `GMFGraphPackage.getGridLayoutData_VerticalSpan()`
  ** Generated **

### setVerticalSpan

    public void setVerticalSpan(int newVerticalSpan)

  Specified by:
    `setVerticalSpan` in interface `GridLayoutData`
  Parameters:
    `newVerticalSpan` - the new value of the 'Vertical Span' attribute.
  See Also:
    `GridLayoutData.getVerticalSpan()`
  ** Generated **

### getHorizontalSpan

    public int getHorizontalSpan()

  Specified by:
    `getHorizontalSpan` in interface `GridLayoutData`
  Returns:
    the value of the 'Horizontal Span' attribute.
  See Also:
    `GridLayoutData.setHorizontalSpan(int)`, `GMFGraphPackage.getGridLayoutData_HorizontalSpan()`
  ** Generated **

### setHorizontalSpan

    public void setHorizontalSpan(int newHorizontalSpan)

  Specified by:
    `setHorizontalSpan` in interface `GridLayoutData`
  Parameters:
    `newHorizontalSpan` - the new value of the 'Horizontal Span' attribute.
  See Also:
    `GridLayoutData.getHorizontalSpan()`
  ** Generated **

### getHorizontalIndent

    public int getHorizontalIndent()

  Specified by:
    `getHorizontalIndent` in interface `GridLayoutData`
  Returns:
    the value of the 'Horizontal Indent' attribute.
  See Also:
    `GridLayoutData.setHorizontalIndent(int)`, `GMFGraphPackage.getGridLayoutData_HorizontalIndent()`
  ** Generated **

### setHorizontalIndent

    public void setHorizontalIndent(int newHorizontalIndent)

  Specified by:
    `setHorizontalIndent` in interface `GridLayoutData`
  Parameters:
    `newHorizontalIndent` - the new value of the 'Horizontal Indent' attribute.
  See Also:
    `GridLayoutData.getHorizontalIndent()`
  ** Generated **

### getSizeHint

    public Dimension getSizeHint()

  Specified by:
    `getSizeHint` in interface `GridLayoutData`
  Returns:
    the value of the 'Size Hint' containment reference.
  See Also:
    `GridLayoutData.setSizeHint(Dimension)`, `GMFGraphPackage.getGridLayoutData_SizeHint()`
  ** Generated **

### basicSetSizeHint

    public NotificationChain basicSetSizeHint(Dimension newSizeHint,
                                              NotificationChain msgs)

  ** Generated **

### setSizeHint

    public void setSizeHint(Dimension newSizeHint)

  Specified by:
    `setSizeHint` in interface `GridLayoutData`
  Parameters:
    `newSizeHint` - the new value of the 'Size Hint' containment reference.
  See Also:
    `GridLayoutData.getSizeHint()`
  ** Generated **

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

### toString

    public java.lang.String toString()

  ** Generated **

### getOwner

    public Layoutable getOwner()

  Specified by:
    `getOwner` in interface `LayoutData`
  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `LayoutData.setOwner(Layoutable)`, `GMFGraphPackage.getLayoutData_Owner()`, `Layoutable.getLayoutData()`
  ** Generated **

### basicSetOwner

    public NotificationChain basicSetOwner(Layoutable newOwner,
                                           NotificationChain msgs)

  ** Generated **

### setOwner

    public void setOwner(Layoutable newOwner)

  Specified by:
    `setOwner` in interface `LayoutData`
  Parameters:
    `newOwner` - the new value of the 'Owner' container reference.
  See Also:
    `LayoutData.getOwner()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.